- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxAnimCurveFilterKeySync Class Reference

Search for all occurrences

## Detailed Description

Key sync filter.

Filter to synchronize the keys of a set of animation curves.

Definition at line 644 of file fbxanimcurvefilters.h.

`#include <fbxanimcurvefilters.h>`

Inheritance diagram for FbxAnimCurveFilterKeySync:
[legend]

List of all members.

## Public Member Functions
| FbxAnimCurveFilterKeySync ()
| Constructor.
virtual | ~FbxAnimCurveFilterKeySync ()
| Destructor.
virtual const char * | GetName () const
| Get the name of the filter.
virtual bool | NeedApply (FbxAnimCurve **pCurve, int pCount)
| Check if the given animation curve need an application of the filter.
virtual bool | NeedApply (FbxAnimCurve &)
| One single curve cannot be sync'ed.
virtual bool | Apply (FbxAnimCurve **pCurve, int pCount)
| Apply filter on the given animation curve.
virtual bool | Apply (FbxAnimCurve &)
| Apply filter on an animation curve.
## Exposed parent class methods.
virtual bool | NeedApply (FbxAnimStack *pAnimStack)
| Check if any curve on the animation stack needs an application of the filter.
virtual bool | NeedApply (FbxObject *pObj, FbxAnimStack *pAnimStack)
| Check if all the animated properties of the object need an application of the filter.
virtual bool | NeedApply (FbxAnimCurveNode &pCurveNode)
| Check if the animation curve node needs an application of the filter.
virtual bool | Apply (FbxAnimStack *pAnimStack)
| Apply filter to all the curves stored in the animation stack.
virtual bool | Apply (FbxObject *pObj, FbxAnimStack *pAnimStack)
| Apply filter to all the animated properties of the object.
virtual bool | Apply (FbxAnimCurveNode &pCurveNode)
| Apply filter on all the curves of an animation curve node.

## Constructor & Destructor Documentation

FbxAnimCurveFilterKeySync | ( |  | ) |

Constructor.

virtual ~FbxAnimCurveFilterKeySync | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 651 of file fbxanimcurvefilters.h.

    {};

## Member Function Documentation

virtual const char* GetName | ( |  | ) | const `[virtual]`

Search for all occurrences

Get the name of the filter.

Returns:
  Pointer to name.

Reimplemented from FbxAnimCurveFilter.

virtual bool NeedApply | ( | FbxAnimStack * | pAnimStack | ) | `[inline, virtual]`

Search for all occurrences

Check if any curve on the animation stack needs an application of the filter.

Parameters:

  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `true` if at least one animated property needs an application of the filter.

Reimplemented from FbxAnimCurveFilter.

Definition at line 662 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::NeedApply(pAnimStack); }

virtual bool NeedApply | ( | FbxObject * | pObj,
|  | FbxAnimStack * | pAnimStack
| ) |  | `[inline, virtual]`

Search for all occurrences

Check if all the animated properties of the object need an application of the filter.

Parameters:

  pObj | Object containing the properties to test.
  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `true` if at least one animated property needs an application of the filter.

Reimplemented from FbxAnimCurveFilter.

Definition at line 663 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::NeedApply(pObj, pAnimStack); }

virtual bool NeedApply | ( | FbxAnimCurveNode & | pCurveNode | ) | `[inline, virtual]`

Search for all occurrences

Check if the animation curve node needs an application of the filter.

Parameters:

  pCurveNode | Curve node to test.

Returns:
  `true` if the animation curve node needs an application of the filter.

Remarks:
  This method collects all the FbxAnimCurve objects connected to the curve node and calls NeedApply(FbxAnimCurve**, int)

Reimplemented from FbxAnimCurveFilter.

Definition at line 664 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::NeedApply(pCurveNode); }

virtual bool Apply | ( | FbxAnimStack * | pAnimStack | ) | `[inline, virtual]`

Search for all occurrences

Apply filter to all the curves stored in the animation stack.

Parameters:

  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

Definition at line 665 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pAnimStack); }

virtual bool Apply | ( | FbxObject * | pObj,
|  | FbxAnimStack * | pAnimStack
| ) |  | `[inline, virtual]`

Search for all occurrences

Apply filter to all the animated properties of the object.

Parameters:

  pObj | Object containing the animated properties to which the filter is applied.
  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

Definition at line 666 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pObj, pAnimStack); }

virtual bool Apply | ( | FbxAnimCurveNode & | pCurveNode | ) | `[inline, virtual]`

Search for all occurrences

Apply filter on all the curves of an animation curve node.

Parameters:

  pCurveNode | Curve node to which the filter is applied.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Remarks:
  This method collects all the FbxAnimCurve objects connected to the curve node and calls Apply(FbxAnimCurve**, int)

Reimplemented from FbxAnimCurveFilter.

Definition at line 667 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pCurveNode); }

virtual bool NeedApply | ( | FbxAnimCurve ** | pCurve,
|  | int | pCount
| ) |  | `[virtual]`

Search for all occurrences

Check if the given animation curve need an application of the filter.

Parameters:

  pCurve | Array of curves to test if they need the and application of the filter.
  pCount | Number of curves in array.

Returns:
  `true` if at least one animation curve in the array needs an application of the filter.

Reimplemented from FbxAnimCurveFilter.

virtual bool NeedApply | ( | FbxAnimCurve & |  | ) | `[inline, virtual]`

Search for all occurrences

One single curve cannot be sync'ed.

Parameters:

  pCurve | Curve to test if it needs application of filter.

Returns:
  `false`

Reimplemented from FbxAnimCurveFilter.

Definition at line 681 of file fbxanimcurvefilters.h.

    { return false; }

virtual bool Apply | ( | FbxAnimCurve ** | pCurve,
|  | int | pCount
| ) |  | `[virtual]`

Search for all occurrences

Apply filter on the given animation curve.

Parameters:

  pCurve | Array of curve to which the filter is applied.
  pCount | Number of curves in array.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

virtual bool Apply | ( | FbxAnimCurve & |  | ) | `[inline, virtual]`

Search for all occurrences

Apply filter on an animation curve.

Parameters:

  pCurve | Curve to which the filter is applied.

Returns:
  `true`.

Remarks:
  Has no effect since there is only one curve.

Implements FbxAnimCurveFilter.

Definition at line 695 of file fbxanimcurvefilters.h.

    { return true; }

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimcurvefilters.h

FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync
FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync FbxAnimCurveFilterKeySync